Skip to main content
GET
/
api
/
organizations
/
{organizationId}
/
whitelabel
/
users
White Label Admin - Get all white label users
curl --request GET \
  --url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/users \
  --header 'x-api-key: <api-key>'
import requests

url = "https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/users"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "total": 123,
  "users": [
    {
      "id": 1,
      "username": "janjongboom",
      "email": "jan@edgeimpulse.com",
      "name": "Jan Jongboom",
      "created": "2019-08-31T17:32:28Z",
      "photo": "https://usercdn.edgeimpulse.com/photos/1.jpg",
      "lastSeen": "2019-08-31T17:32:28Z",
      "activated": true,
      "from_evaluation": true,
      "deletedDate": "2024-01-01T00:00:00Z"
    }
  ],
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

organizationId
integer
required

Organization ID

Query Parameters

active
integer

Whether to search for entities (users, orgs) active in the last X days

tier
enum<string>

Whether to search for free, community plus, professional, or enterprise entities (users, projects) The user account tier.

Available options:
free,
community-plus,
professional,
enterprise
fields
string

Comma separated list of fields to fetch in a query

Example:

"id,name"

sort
string

Fields and order to sort query by Comma separated list of fields to sort query by. Prefix with a minus (-) sign to indicate descending order. Default order is ascending

Example:

"id,-name"

filters
string

Comma separated list of filters to apply to the query. Filters should be in the format 'field:value'.

Example:

"billable:true"

limit
integer

Maximum number of results

offset
integer

Offset in results, can be used in conjunction with LimitResultsParameter to implement paging.

Search query

Example:

"<id> <name>"

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

total
integer
required
users
object[]
required
error
string

Optional error description (set if 'success' was false)